Bug 72048 - XFree hangs the display upon return from virtual console on ATI Rage cards.
XFree hangs the display upon return from virtual console on ATI Rage cards.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
limbo
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-20 17:31 EDT by Scott McBrien
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 04:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott McBrien 2002-08-20 17:31:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
When I switch from X to a virtual console everything happens as it should.  The
problem comes around when I switch back from the virtual console to X.  A nice
bit of blue/green nastyness appears at the top of the screen with some virtical
lines on it.  This was also a problem with XFree 4.2.0-8 that was shipped with
RHL 7.3.  Must reboot the machine to get display functionality back, switching
to runlevel 3,2,or 1 will not fix the display.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot to runlevel 5
2.switch to tty1 (or some text vc)
3.switch back to tty7 (or wherever X is bound)
	

Actual Results:  Display is hung, but the machine is still active and will
accept input on the network card an such, but all STDIN appears to be /dev/null'ed.

Expected Results:  I would expect the switch from text vc to X to be as seamless
as it is with every other graphics card.

Additional info:

These machines are manufactured by Dell and are Optiplex GX240s with an ATI Rage
card.  I am using XFree86 4.2.0-56 distributed with Limbo 7/26/2002 release.
Comment 1 Mike A. Harris 2002-08-21 04:46:30 EDT
Update to the latest beta, and latest XFree86 release.  A similar
problem is fixed in the latest codebase.

If the problem persists, please update the report, and include
your config file and X server log file.

Thanks
Comment 2 Mike A. Harris 2002-11-10 23:25:18 EST
No response in over 2.5 months, so I'm assuming the problem does not
happen in Red Hat Linux 8.0 with all current erratum applied.

If the problem does happen, then please attach the information that
I have requested above, and reopen this bug report.

Closing as CURRENTRELEASE (8.0)

Note You need to log in before you can comment on or make changes to this bug.